%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45
%define kderelease 7
%define sourcedir stable/%{version}/distribution/tar/generic/source
%define kdename kdetoys

Name: %{kdename}
Icon: kde-icon.xpm
Summary: K Desktop Environment - Toys and Amusements
Version: 1.1.2
Release: %{kderelease}
Epoch: 5
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Group: Amusements/Graphics
BuildRoot: %{_tmppath}/%{kdename}-buildroot
Copyright: GPL
BuildPrereq: kdesupport-devel, kdelibs-devel, compat-egcs-c++, qt1x-devel
Requires: kdesupport
Prefix: %{kdeprefix}
Excludearch: ia64

%description
Toys for the K Desktop Environment.

Includes: kmoon (displays various phases of the moon); kworldwatch
(displays where in the world it is light and dark depending on time), and
kodo (a mouse odometer which shows how far your mouse has traveled).

%prep
%setup -q -n %{kdename}
make -f Makefile.cvs

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
./configure  \
	--prefix=%{kdeprefix} \
	--x-libraries=/usr/X11R6/lib \
        --x-includes=/usr/X11R/include \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add missing ldconfig in %post and %postun section (Bug #14923)

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- fix to built against compat-egcs-c++
- cleanup specfile

* Mon Jun 05 2000 Than Ngo <than@redhat.de>
- fix buildroot

* Fri Jun 02 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such.

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- got 1.1.2 release.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- built for 6.1

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
